//=============================================================================
// ANNABasicTeam. (C) 2012 "Dei" & Nobody
//=============================================================================
/**
  Gametype for the Basic Team Deathmatch
*/
class CDX_BasicTeam extends CDX_Team;

/** @ignore */
function PreBeginPlay ()
{
	Super.PreBeginPlay();
	ResetNonCustomizableOptions();
}

/**
 Changes the game configuration to the typical BTDM settings.
*/
function ResetNonCustomizableOptions ()
{
	Super.ResetNonCustomizableOptions();
	if( !bCustomizable )
	{
		SkillsTotal=0;
		SkillsAvail=0;
		SkillsPerKill=0;
		InitialAugs=9;
		AugsPerKill=0;
		MPSkillStartLevel=3;
		SaveConfig();
	}
}

DefaultProperties
{
	GameTypeName="CDX BTDM"
    GameName="Basic Team DM"
}
